from django.conf.urls import url

from iam.models import IDENTIFIER_REGEX
from .views import ({% for c in class %}
    {{c}}DetailView,
    {{c}}ListView,{% for a in assignables[c] %}
    {{c}}{{a}}AssignmentView,
    {{c}}{{a}}AssignmentListView,{% endfor %}{% endfor %}
)

urlpatterns = [{% for c in class %}
    url(r'^{{c.lower()}}s/(?P<id>%s)/$' % IDENTIFIER_REGEX, {{c}}DetailView.as_view()),
    url(r'^{{c.lower()}}s/$', {{c}}ListView.as_view()),{% for a in assignables[c] %}
    url(r'^{{c.lower()}}s/(?P<assignee_id>%s)/{{a.lower()}}s/(?P<assigned_id>%s)/$'
        % (IDENTIFIER_REGEX, IDENTIFIER_REGEX),
        {{c}}{{a}}AssignmentView.as_view()),
    url(r'^{{c.lower()}}s/(?P<id>%s)/{{a.lower()}}s/$' % IDENTIFIER_REGEX,
        {{c}}{{a}}AssignmentListView.as_view()),{% endfor %}{% endfor %}
]
